Get an event
Returns one stored event by id, with its payload and whether notifications were sent.
Requires a realm member (or higher) on the realm that owns the event given by id.
POST
/
v1
/
events
/
get_by_id
Get an event
curl --request POST \
--url https://{host}/v1/events/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a"
}
'import requests
url = "https://{host}/v1/events/get_by_id"
payload = { "id": "2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a'})
};
fetch('https://{host}/v1/events/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/events/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/events/get_by_id"
payload := strings.NewReader("{\n \"id\": \"2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/events/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/events/get_by_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"event": {
"id": "2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a",
"type": "run.failed",
"occurred_at": "2026-10-07T10:25:00Z",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"org_id": null,
"team": "code-review",
"run_id": "0c8d7e6f-5a4b-4c3d-9e2f-1a0b9c8d7e6f",
"phase": "fix",
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"title": "Run failed",
"message": "npm test failed",
"severity": "error",
"payload": {},
"actor_id": null,
"created_at": "2026-10-07T10:25:01Z",
"notifications": "deferred"
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
Persisted event id
Minimum string length:
1⌘I
Get an event
curl --request POST \
--url https://{host}/v1/events/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a"
}
'import requests
url = "https://{host}/v1/events/get_by_id"
payload = { "id": "2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a'})
};
fetch('https://{host}/v1/events/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/events/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/events/get_by_id"
payload := strings.NewReader("{\n \"id\": \"2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/events/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/events/get_by_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"event": {
"id": "2d3e4f5a-6b7c-4d8e-9f0a-1b2c3d4e5f6a",
"type": "run.failed",
"occurred_at": "2026-10-07T10:25:00Z",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"org_id": null,
"team": "code-review",
"run_id": "0c8d7e6f-5a4b-4c3d-9e2f-1a0b9c8d7e6f",
"phase": "fix",
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"title": "Run failed",
"message": "npm test failed",
"severity": "error",
"payload": {},
"actor_id": null,
"created_at": "2026-10-07T10:25:01Z",
"notifications": "deferred"
}
}